Skip to main content

Raptor 3D Data (Limited Release)

Ordering and downloading Raptor 3D data is in limited release and is not currently available to all accounts.

Overview

The Raptor pipeline delivers the 3DSM data from Worldview 3D and Vivid Terrain used by the Raptor systems, but adds the encryption used by Raptor to protect the data from tampering or exfiltration. For convenience the two source options are available through a single endpoint.

Ordering Raptor 3D products

This documentation describes the requirements that are specific for ordering Raptor encrypted 3D data. To see the full description of an order request, see the Ordering API Guide.

When you place an order for data, you will:

  • include the name and the namespace in the URL path.
  • include the settings object for the pipeline in the order request body.
ProductNamespaceName
Raptor 3d data3draptor

Supported requests

The table below lists all requests available for Raptor 3D data.

Base URL: https://api.maxar.com

Request TypeMethodPathDescription
Place an OrderPOSTordering/v1/pipelines/3d/raptor/orderPlace an order for Raptor 3d data.
Validate OrderPOSTordering/v1/pipelines/3d/raptor/validateVerify that the order passes validation checks before submission.
Estimate UsagePOSTordering/v1/pipelines/3d/raptor/estimateGet a usage estimate for an order request before placing the order.
Get Order DetailsGETordering/v1/orders/{orderID}Get the details and status of an order request.
Cancel OrderPOSTordering/v1/orders/{orderid}/cancelCancels the order specified in the URL path. Orders cannot be canceled once the delivery process has started.

Place an order

POST https://api.maxar.com/ordering/v1/pipelines/3D/raptor/order

The Raptor pipeline provides data from two source:

  • Worldview 3D: Surface model built by request from stereo image pairs.
  • Vivid Terrain: Surface model extracted from the Vivid Terrain 3d model.

The request body for an order includes this settings object:

ParameterRequiredDescriptionAllowed ValuesExample
product_typerequiredSource product for terrain dataWORLDVIEW, VIVID“product_type”: [“VIVID”]
aoirequiredAOI to processGeoJSON Feature with a single Polygon geometry and no holessee example
product_namerequiredOutput product name for source pipeline3DSM“product_name”: [“3DSM”]
catalog_idsWorldview only; requiredCatalog IDs of the stereo pair imagesArray of two string IDs“catalog_ids”: [“1030010108287D00”, “103001010885E900”]

Note: AOIs must be a minimum of 10 sqkm and a maximum of 10,000 sqkm.

Example Raptor 3d data settings object

This example will use Vivid Terrain to generate the source data:

"settings": {
"product_name": "3DSM",
"product_type": "VIVID",
"aoi": {
"type": "Feature",
"properties": {},
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
20.026592415562174,
54.622028746528485
],
[
20.18223447432575,
54.622028746528485
],
[
20.18240731713051,
54.712140402739436
],
[
20.026419572757412,
54.712140402739436
],
[
20.026592415562174,
54.622028746528485
]
]
]
}
}
}
Example Raptor 3d data order request
{
"settings": {
"product_name": "3DSM",
"product_type": "VIVID",
"aoi": {
"type": "Feature",
"properties": {},
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
20.026592415562174,
54.622028746528485
],
[
20.18223447432575,
54.622028746528485
],
[
20.18240731713051,
54.712140402739436
],
[
20.026419572757412,
54.712140402739436
],
[
20.026592415562174,
54.622028746528485
]
]
]
}
}
},
"output_configs": [
{
"type": "download",
"format": "zip"
}
],
"notifications": [
{
"type": "email",
"target": "user@example.com",
"level": "FINAL_ONLY"
}
]
}
Example Raptor order response

{
"data": {
"id": "6985020580010330974",
"date_created": "2026-05-21T16:49:00Z",
"date_modified": "2026-05-21T16:49:12Z",
"creator_id": "f:3a34d893-5d36-4cb8-9cfc-6b2a6678de3b:9215",
"creator_group_id": "1",
"pipeline_id": "3d/raptor",
"output_config": {
"amazon_s3": {
"bucket": "ordering-delivery-testing",
"prefix": "3d-platform-polygon"
}
},
"notifications": null,
"metadata": {},
"status": "RECEIVED",
"status_details": {},
"cancellation_requested": false,
"process_details": {},
"delivery_details": {},
"credits_quoted": null,
"credits_charged": 0.0,
"order_links": {
"self": "https://api.maxar.com/ordering/v1/orders/6985020580010330974",
"events": "https://api.maxar.com/ordering/v1/orders/6985020580010330974/events"
},
"settings": {
"product_name": "3DSM",
"product_type": "VIVID",
"aoi": {
"type": "Feature",
"properties": {},
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
20.026592415562174,
54.622028746528485
],
[
20.18223447432575,
54.622028746528485
],
[
20.18240731713051,
54.712140402739436
],
[
20.026419572757412,
54.712140402739436
],
[
20.026592415562174,
54.622028746528485
]
]
]
}
}
}
},
"links": {
"request": "https://api.analyze-dev.maxar.com/ordering/v1/pipelines/3d-ke033743/raptor/order"
},
"request_timestamp": "2026-05-21T16:48:51Z",
"response_timestamp": "2026-05-21T16:49:14Z",
"request_duration": 23.0
}

Validate an order request

To validate your order before placing it, send your request body to the /validate endpoint first.

POST https://api.maxar.com/ordering/v1/pipelines/3D/raptor/validate

This will verify that your request is formatted correctly and contains the required settings and allowed values for those settings.

Validate order example 200 response

Status: 200 OK

{
"data": {
"message": "validation successful"
},
"links": {
"request": "https://api.maxar.com/ordering/v1/pipelines/3d/raptor/validate"
},
"request_timestamp": "2025-04-14T20:26:44Z",
"response_timestamp": "2025-04-14T20:26:48Z",
"request_duration": 4
}
Validate order example 400 response

In this example, the order did not pass validation because a field name was incorrect.

Status: 400 Bad Request

{
"links": {
"request": "https://api.maxar.com/ordering/v1/pipelines/3d/raptor/validate"
},
"request_timestamp": "2025-04-14T20:29:32Z",
"response_timestamp": "2025-04-14T20:29:40Z",
"request_duration": 8,
"error": {
"error_code": "invalid_request_body",
"error_type": "invalid_request_error",
"error_messages": [
"Invalid order settings: $: Additional properties are not allowed ('catalogIDs' was unexpected)",
"Invalid order settings: $: 'catalog_ids' is a required property"
]
}
}

Get a usage estimate

The /estimate endpoint returns a usage estimate and a copy of the JSON request body.

POST https://api.maxar.com/ordering/v1/pipelines/3d/raptor/estimate
Estimate order example 200 response

Status: 200 OK

{
"data": {
"usage_estimate": [
{
"pipeline_id": "3d/raptor",
"metrics": [
{
"units": "sqkm",
"quantity": 1234.12,
"description": "We've streamlined the AOI as part of the process",
"usage_details": {}
}
],
"product_id": 1234,
"date_reported": "2025-07-03T20:54:10Z"
}
],
"order_config": {
"pipeline_id": "3d/raptor",
"output_configs": [
{
"type": "download",
"format": "zip"
}
],
"notifications": [
{
"type": "email",
"target": "user@example.com",
"level": "FINAL_ONLY"
}
],
"metadata": {},
"settings": {
"product_name": "3DSM",
"product_type": "VIVID",
"aoi": {
"type": "Feature",
"properties": {},
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
20.026592415562174,
54.622028746528485
],
[
20.18223447432575,
54.622028746528485
],
[
20.18240731713051,
54.712140402739436
],
[
20.026419572757412,
54.712140402739436
],
[
20.026592415562174,
54.622028746528485
]
]
]
}
}
}
}
},
"links": {
"request": "https://api.maxar.com/ordering/v1/pipelines/3d/raptor/estimate"
},
"request_timestamp": "2025-07-03T20:53:57Z",
"response_timestamp": "2025-07-03T20:54:10Z",
"request_duration": 13
}

Get order status

Once an order is placed, you can monitor its status or review the details of your order by making the following request with your order ID.

POST 
https://api.maxar.com/ordering/v1/orders/:id

The id was returned in the response body to your order request. It can also be found in your notifications.

Cancel an order

Orders can be canceled before delivery begins by making the following request with the order ID:

POST https://api.maxar.com/ordering/v1/orders/{id}/cancel

Successful status code: 202 Accepted

Example Cancel Order response 202
{
"data": {
"order_id": "123412341234"
},
"links": {
"request": "https://api.maxar.com/ordering/v1/orders/123412341234/cancel"
},
"request_timestamp": "2023-09-29T20:49:50Z",
"response_timestamp": "2023-09-29T20:49:51Z",
"request_duration": 1.0
}
Example Cancel Order response 400

In this example, the order was already delivered so the order can no longer be cancelled. The API returns an error.

Status: 400 Bad request

{
"links": {
"request": "https://api.maxar.com/ordering/v1/orders/123412341234/cancel"
},
"request_timestamp": "2024-12-02T19:56:14Z",
"response_timestamp": "2024-12-02T19:56:15Z",
"request_duration": 1.0,
"error": {
"error_code": "invalid_request",
"error_type": "invalid_request_error",
"error_messages": [
"Order is already in delivery and cannot be canceled"
]
}
}

Once the delivery process has started, the request cannot be canceled.